Readme file of Moon Dawn.
Updated at: January 31, 2019

==============================
======== Track Info ==========
==============================

Name: Moon Dawn
Author: Allan1
Creation date: January 13, 2014
Folder name: dome3
Difficulty: Extreme
Game Modes: Single Race, Time Trial, Practice and Reversed
Lenght: 1418 meters (1539 on reversed)
Time Trial Challenge: 01:32:000 (01:42:000 on reversed)
Global stars: 7
Practice stars: 17

RVZ track type: Extreme
Total Space: 31.4 MB
World polycount: 17538
Collision polycount: 9633


==============================
=========== Setup ============
==============================

Extract the 'gfx' and 'levels' folders into your Re-Volt directory. Files will be automatically placed on the correct folders.


==============================
======== Description =========
==============================

This is a marathon style of track, with several areas and variation of scenario. It takes place on a fictitious lunar base, where cars pass through gardens, computer laboratories, greenhouses, a moonscape and other different sectors. How all of this work is up to your imagination :P

That's a very long track. At least I added different environments so you'll not be bored to death. The roads are wide at most parts, but they become narrow or with different obstacles and surfaces (bumpy, slippery...), offering different challenges all around. In other words, some parts are easy, some are not much.


==============================
========= Known Bugs =========
==============================

-The gravity room appears to be very problematic for most cars. It may slow you down a lot if you miss the jump, which can happen according to your speed or the direction you throw the car in. You can accomplish the jump going at your max speed on a straight line, WITHOUT using battery. One quick way to get out is to press the reposition button and try the jump again.

-Cars frequently take the left way at the globe fork, instead of vary between the two. Still, fast cars take the right direction in the normal mode thanks to the climb before the globe room.

-Few instances may have missing collision on legacy Re-Volt versions due to collision limitations of these versions.

-Due to range limit of camera nodes, few cameras after the quicksand and before the gravity room were removed in the lite version of the track.


==============================
========== Credits ===========
==============================

Most part of this track was based on Tank Racer's "Moon Dome". Thanks to Glass Ghost for the design inspiration.
Credits for some borrowed effects goes to Activision, Valve, Acclaim Studios, Longbow Games and Glass Ghost.
Thanks for Gotolei for the tips about AI nodes forks.

Tools:
Autodesk 3D Studio Max
ASETools (by Ali and Kay)
Inkscape
Adobe Photoshop CS2
Microsoft Paint
Prm2Hul (by Jig)
Audacity
RVGL (by Huki, Jig and Marv)
Blender and Marv's RV Add-On
Microsoft Notepad

Sound source:
baixamais.net
freesfx.co.uk
audiomicro.com
soundbible.com (Air Leaking Out Sound, Recorded by Mike Koenig)
sounddogs.com
Tank Racer
DX-Ball 2
Re-Volt
Interstate '76 Soundtrack - 'Roswell'
Half-Life

Textures source:
Grass, asphalt, sand, mud, earth pictures, igloo picture, rock, US flag and tree log were taken from the internet using Google Images. These images were marked as "reuse with modification" permission.

Yellow vegetation texture was borrowed from Toys in the Hood, by the game creators.


==============================
========= Changelog ==========
==============================

January 20, 2019:
-Removed unused files
-Fixed issues in the world file and added some elements to the landscape
-Fixed quicksand model
-Edited rocks of the moonscape part
-Softened muddy curve of the first greenhouse
-Enlarged corridor after the platform jump of the reversed way
-Remade tree3.prm mesh
-Reduced polycount from collision files (NCP and some instances)
-Resized globe
-Reduced globe rotation speed
-Added missing globe collision
-Added mipmaps and edited some textures
-Changed sounds pitch to solve RVGL issues
-Added reverb for computer sounds
-Edited sounds range
-Added smoke generator under the drill
-Edited force fields of the gravity room
-Fixed piano trigger on the sewer bars after the moonscape
-Restored the original properties of the quicksand area
-Added proper track zones
-Improved AI nodes
-Added visiboxes to hide sequential areas
-Added cameras
-Reajusted lighting
-Added new stars and removed some
-Added MAKEITGOOD files compatible with legacy Re-Volt versions for both normal and reversed modes
-Renamed all files with lowercase
-Added challenge time, difficulty and redbook
-Reajusted fog and "farclip"
-Added bigger gfx image

January 31, 2019:
-Reformed section after the gravity room and edited force fields
-Added missing double sided properties for some faces, among other fixes in the world file
-Optimized ncp file
-Edited practice and global stars
-Edited track dir triggers and added splits triggers
-Changed few plants positions and added few more
-Added a different version of tropics2.wav
-Fixed folha.prm
-Fixed issues with visiboxes


==============================
=== Permissions and Terms ====
==============================

You're free to share (copy and redistribute the material in any medium or format) and adapt (remix, transform, and build upon the material) this creation, provided that:

1. You give appropriate credit and indicate if changes were made. You may do so in any reasonable manner (preferable through a readme file).

2. You'll not use the material for commercial purposes.

3. If you remix, transform, or build upon the material, you must distribute your contributions under the same terms/permissions as the original.

4. You may not apply legal terms or technological measures that legally restrict others from doing anything the author permits.


==============================
======== Final Notes =========
==============================

Please contact me if you find bugs or if you have any suggestion or idea. You can do so at the comments section of Re-Volt Zone, or even with a private message at the forum Re-Volt Hideout, email or Discord.

My email adress: allanmoraes27@yahoo.com

Re-Volt Hideout profile: https://forum.re-volt.io/memberlist.php?mode=viewprofile&u=73

My Discord tag: Allan#5269



For more stuff like downloads and wips, visit my website: http://allanmitestainer.wix.com/home


Have a nice race!

Allan